1. Overview

The Prisma Cloud Jenkins plugin is compatible with Jenkins version 1.58 or higher. Prisma Cloud Jenkins plugin must be able to reach Prisma Cloud Console over the network. The Prisma Cloud plugin depends on two other Jenkins plugins: Static Analysis Utilities and Dashboard View.

Scan reports show detailed information for each vulnerability, including information that can assist with remediation (i.e which package versions fix the vulnerability). Trend charts show how the number of security issues has changed over time.

If your Jenkins server runs as a container, mount the docker socket from the host into the Jenkins container at runtime using:

"-v /var/run/docker.sock:/var/run/docker.sock".

This enables the Prisma Cloud plugin to run docker commands via the host’s Docker installation.